# Container file for this application
FROM elixir:1.10.2-alpine as build

RUN apk add --update git

RUN mkdir /app
WORKDIR /app

RUN mix local.hex --force && \
    mix local.rebar --force

ENV MIX_ENV=prod

COPY mix.exs mix.lock ./
COPY config config
RUN mix deps.get
RUN mix deps.compile

COPY lib lib
RUN mix compile

RUN mix release

FROM alpine:3.11.5 as deploy
RUN apk add --update bash

RUN mkdir /app
WORKDIR /app

COPY --from=build /app/_build/prod/rel/comms_backend ./
RUN chown -R nobody: /app
USER nobody

ENV HOME=/app
CMD ["bash", "/app/bin/comms_backend", "start"]